X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Cannot go into http://secure.rush.edu/epic which is my remote access to work. I was able to access it initially.

Posted

I am using Window 8 and initially I was using Citrix Receiver for my work remote access, however, this didn't work. Thus, I downloaded mozilla,

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 10.15.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.02
  • Citrix Receiver Plugin (Win32)

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0

More Information

Andrew
  • Top 25 Contributor
  • Moderator
251 solutions 3016 answers

Hello mbayas,
What exactly is the issue here? Do you get any error messages? Unable to login? Please let us know!

Thanks!